package com.fs.hisStore.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.hisStore.domain.FsUserExtractScrm;
import com.fs.hisStore.param.FsUseDoExtractParam;
import com.fs.hisStore.param.FsUseExtractQueryParam;
import com.fs.hisStore.vo.FsUserExtractVO;

/**
 * 用户提现Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsUserExtractScrmService 
{
    /**
     * 查询用户提现
     * 
     * @param id 用户提现ID
     * @return 用户提现
     */
    public FsUserExtractScrm selectFsUserExtractById(Long id);

    /**
     * 查询用户提现列表
     * 
     * @param fsUserExtract 用户提现
     * @return 用户提现集合
     */
    public List<FsUserExtractScrm> selectFsUserExtractList(FsUserExtractScrm fsUserExtract);

    /**
     * 新增用户提现
     * 
     * @param fsUserExtract 用户提现
     * @return 结果
     */
    public int insertFsUserExtract(FsUserExtractScrm fsUserExtract);

    /**
     * 修改用户提现
     * 
     * @param fsUserExtract 用户提现
     * @return 结果
     */
    public int updateFsUserExtract(FsUserExtractScrm fsUserExtract);

    /**
     * 批量删除用户提现
     * 
     * @param ids 需要删除的用户提现ID
     * @return 结果
     */
    public int deleteFsUserExtractByIds(Long[] ids);

    /**
     * 删除用户提现信息
     * 
     * @param id 用户提现ID
     * @return 结果
     */
    public int deleteFsUserExtractById(Long id);

    R doExtract(FsUseDoExtractParam param);

    List<FsUserExtractVO> selectFsUserExtractListVOQuery(FsUseExtractQueryParam param);
}
